package com.example.ffasd;

import java.util.ArrayList;

import com.example.medic.Secendbardari1;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.text.Editable;
import android.text.TextWatcher;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.BaseAdapter;
import android.widget.EditText;
import android.widget.ListView;
import android.widget.TextView;

public class Main extends Activity {
	EditText edittext;
	ListView listview;

	String[] text;;
	int textlength = 0;
	ArrayList<String> text_sort = new ArrayList<String>();

	public void onCreate(Bundle savedInstanceState) {

		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);

		text = new String[23];
		for (int x = 1; x < 23 + 1; x = x + 1) {
			String this_subject = "subject_" + String.valueOf(x);
			int resID = getResources().getIdentifier(this_subject, "string",
					getPackageName());
			text[x - 1] = getResources().getString(resID);
		}

		edittext = (EditText) findViewById(R.id.EditText01);
		listview = (ListView) findViewById(R.id.ListView01);
		listview.setAdapter(new MyCustomAdapter(text, null));
		edittext.addTextChangedListener(new TextWatcher() {

			public void afterTextChanged(Editable s) {

			}

			public void beforeTextChanged(CharSequence s, int start, int count,
					int after) {

			}

			public void onTextChanged(CharSequence s, int start, int before,
					int count) {

				textlength = edittext.getText().length();
				text_sort.clear();

				for (int i = 0; i < text.length; i++) {
					if (textlength <= text[i].length()) {
						if (edittext
								.getText()
								.toString()
								.equalsIgnoreCase(
										(String) text[i].subSequence(0,
												textlength))) {
							text_sort.add(text[i]);

						}
					}
				}

				listview.setAdapter(new MyCustomAdapter(text_sort, null));

			}
		});
		listview.setOnItemClickListener(new OnItemClickListener() {

			@Override
			public void onItemClick(AdapterView<?> parent, View view,
					int position, long id) {
				int orgPos = 0;
				if (text.length != text_sort.size()) {
					// The list on which we clicked is sorted!
					String clickedText = text_sort.get(position);
					int i1 = 0;
					boolean found = false;

					while (i1 < text.length && found == false) {
						if (clickedText == text[i1]) {
							orgPos = i1;
							found = true;
						} else {
							i1++;
						}
					}
					Intent i2 = new Intent(getApplicationContext(), yourclass);
					String Subject_number = String.valueOf(orgPos + 1);
					i2.putExtra("subject_number", Subject_number);
					startActivity(i2);

				} else {
					Intent i = new Intent(getApplicationContext(), yourclass);
					String Subject_number = String.valueOf(position + 1);
					i.putExtra("subject_number", Subject_number);
					startActivity(i);

				}

			}
		});
		edittext.setText("search");
		edittext.setText("");
	}

	class MyCustomAdapter extends BaseAdapter {

		String[] data_text;

		MyCustomAdapter() {

		}

		MyCustomAdapter(String[] text, int[] image) {
			data_text = text;

		}

		MyCustomAdapter(ArrayList<String> text, ArrayList<Integer> image) {
			data_text = new String[text.size()];

			for (int i = 0; i < text.size(); i++) {
				data_text[i] = text.get(i);

			}

		}

		public int getCount() {
			return data_text.length;
		}

		public String getItem(int position) {
			return null;
		}

		public long getItemId(int position) {
			return position;
		}

		public View getView(int position, View convertView, ViewGroup parent) {

			LayoutInflater inflater = getLayoutInflater();
			View row;

			row = inflater.inflate(R.layout.listview, parent, false);

			TextView textview = (TextView) row.findViewById(R.id.TextView01);

			textview.setText(data_text[position]);
			Animation animation = AnimationUtils.loadAnimation(
					getApplicationContext(), R.anim.slide_in_right);
			row.startAnimation(animation);
			return (row);

		}
	}

}